Package uk.ac.starlink.topcat

# Class PlasticStarTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.table.RandomStarTable
uk.ac.starlink.table.ColumnStarTable
uk.ac.starlink.topcat.PlasticStarTable

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `uk.ac.starlink.table.StarTable`

public class PlasticStarTable extends uk.ac.starlink.table.ColumnStarTable
A StarTable which is initialised from an existing table but can have columns added to it. Currently, this table cannot have its number of rows changed.

## Field Summary

### Fields inherited from class uk.ac.starlink.table.ColumnStarTable

`columns_`

## Constructor Summary

Constructors
Constructor
Description
`PlasticStarTable(uk.ac.starlink.table.StarTable baseTable)`
Constructs a `PlasticStarTable` based on an existing `StarTable` object.

## Method Summary

Modifier and Type
Method
Description
`void`
`addColumn(uk.ac.starlink.table.ColumnData coldata)`
`uk.ac.starlink.table.StarTable`
`getBaseTable()`
Returns the StarTable table on which this PlasticStarTable is based.
`long`
`getRowCount()`
`void`
`setColumn(int icol, uk.ac.starlink.table.ColumnData coldata)`

### Methods inherited from class uk.ac.starlink.table.ColumnStarTable

`getCell, getColumnCount, getColumnData, getColumnInfo, makeTableWithRows, setCell`

### Methods inherited from class uk.ac.starlink.table.RandomStarTable

`getRowAccess, getRowSequence, isRandom`

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRow, getRowSplittable, getURL, setName, setParameters, setURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Constructor Details

### PlasticStarTable

public PlasticStarTable(uk.ac.starlink.table.StarTable baseTable)
Constructs a `PlasticStarTable` based on an existing `StarTable` object. The metadata are copied from the base table and ColumnData objects constructed to wrap each of its columns.

Parameters:
  `baseTable` - the table to initialise this one from

## Method Details

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.ColumnStarTable`

### addColumn

public void addColumn(uk.ac.starlink.table.ColumnData coldata)

Overrides:
  `addColumn` in class `uk.ac.starlink.table.ColumnStarTable`

### setColumn

public void setColumn(int icol, uk.ac.starlink.table.ColumnData coldata)

Overrides:
  `setColumn` in class `uk.ac.starlink.table.ColumnStarTable`

### getBaseTable

public uk.ac.starlink.table.StarTable getBaseTable()
Returns the StarTable table on which this PlasticStarTable is based.

Returns:
  base table